
%global meadversion 3.1.3
%global namedversion 3.1.3.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 4

# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif

%define maven_version 3.1.3.redhat-3

Name:           juddi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Open source Java implementation UDDI specification
License:        ASL 2.0
Group:          Development/Libraries/Java

%if %with mead
Source100: juddi-parent-3.1.3.redhat-3-scm-sources.zip
Source102: uddi-ws-3.1.3.redhat-3-javadoc.jar
Source103: uddi-ws-3.1.3.redhat-3.jar
Source104: uddi-ws-3.1.3.redhat-3-sources.jar
Source105: uddi-ws-3.1.3.redhat-3.pom
Source106: juddi-parent-3.1.3.redhat-3.pom
Source107: juddi-client-3.1.3.redhat-3.jar
Source108: juddi-client-3.1.3.redhat-3.pom
Source109: juddi-client-3.1.3.redhat-3-javadoc.jar
Source110: juddi-client-3.1.3.redhat-3-sources.jar
%endif

URL:            http://ws.apache.org/juddi/
%if 0
svn -q export -r 1235818 http://svn.apache.org/repos/asf/juddi/tags/juddi-3.1.3/ && tar -cjf juddi-3.1.3.tar.bz2 juddi-3.1.3/
%endif

%if %without mead
Source0:        juddi-%{version}.tar.bz2
Source1:        %{name}-jpp-depmap.xml
Patch0:         juddi-vman-pom.patch
Patch1:         juddi-assembly-id.patch
Patch2:         juddi-xerces.patch
Patch3:         juddi-cargo.patch
Requires:       servlet_api
Requires:       glassfish-jaxws
Requires:       jboss-jaxws-api_2.2_spec
# FIXME
BuildRequires:  spring2-web
BuildRequires:  xml-commons-resolver12
BuildRequires:  glassfish-javamail
BuildRequires:  glassfish-jaxws
BuildRequires:  ws-commons-XmlSchema
BuildRequires:  ws-commons-neethi
BuildRequires:  woodstox-core
#BuildRequires: apache-aries-blueprint
BuildRequires:  tomcat6-zip
# Basic stuff
BuildRequires:  maven-bundle-plugin
# Maven and its dependencies
BuildRequires:  maven2
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-clean
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-one
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-war
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-jdocbook-plugin
BuildRequires:  maven-shared
BuildRequires:  maven-shared-file-management
BuildRequires:  maven-shared-reporting-impl
BuildRequires:  maven-shared-model-converter
BuildRequires:  maven-shared-plugin-tools-api
BuildRequires:  maven-surefire
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-wagon
BuildRequires:  plexus-archiver
BuildRequires:  plexus-compiler
BuildRequires:  plexus-containers-container-default
BuildRequires:  plexus-i18n
BuildRequires:  plexus-utils
BuildRequires:  plexus-velocity
# BuildRequires for jUDDI itself
BuildRequires:  apache-cxf >= 0:2.3.1
BuildRequires:  jakarta-commons-logging >= 0:1.1
BuildRequires:  log4j >= 0:1.2.13
BuildRequires:  jboss-jaxr
##BuildRequires:  jbossws-parent
##BuildRequires:  jbossws
BuildRequires:  xml-commons-jaxp-1.3-apis
# BuildRequires for jUDDI not listed
BuildRequires:  jboss-servlet-api_3.0_spec
BuildRequires:  jboss-jaxws-api_2.2_spec
# FIXME:
#BuildRequires:  mojo-maven2-plugin-hibernate3
BuildRequires:  cargo-maven2-plugin
BuildRequires:  derby
BuildRequires:  glassfish-javamail
BuildRequires:  hibernate3
BuildRequires:  hibernate3-commons-annotations
BuildRequires:  hibernate3-entitymanager
BuildRequires:  hibernate3-ejb-persistence-3.0-api
BuildRequires:  hsqldb
BuildRequires:  javassist
BuildRequires:  mockejb
BuildRequires:  mysql-connector-java
BuildRequires:  openjpa-maven-plugin
BuildRequires:  postgresql-jdbc
%if 0
DEBUG:          1) org.apache.juddi:juddi-core:bundle:3.1.2-redhat-2
DEBUG:          2) org.hibernate:hibernate-entitymanager:jar:3.3.1.ga
DEBUG:          3) org.hibernate:hibernate-commons-annotations:jar:3.1.0.GA
DEBUG:          4) org.jboss.logging:jboss-logging:jar:DUMMY_VER
%endif
BuildRequires:  jboss-logging
%endif

Requires:       java
Requires:       jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
jUDDI (pronounced "Judy") is an open source Java implementation 
of the Universal Description, Discovery, and Integration (UDDI) 
specification for Web Services.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%if %without mead
%package javadoc
Group:          Development/Documentation

Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.
%endif

%if 0
%package webapps
Summary:        Webapps for %{name}
Group:          System Environment/Applications

Requires:       %{name} = %{epoch}:%{version}-%{release}
%if 0
Requires:       jakarta-commons-discovery
Requires:       log4j
Requires:       wsdl4j
%endif
BuildRequires:  wsdl4j
BuildRequires:  jakarta-commons-discovery
# FIXME
BuildRequires:  jakarta-commons-jxpath

%description webapps
Webapp for %{name}.

%if 0
# XXX: (dwalluck): These are already inside juddi.jar
%package sql-init-statements
Group:          Development/Libraries/Java

Summary:        SQL statements for database creation/configuration
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description sql-init-statements
SQL statements for creation/configuration of a database 
for storing web services metadata for %{name}.
%endif

%package ws
Group:          Development/Libraries/Java

Summary:        jUDDI Web Services
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description ws
The Web Services for %{name}.
%endif

%prep
%if %without mead
%setup -q
%{_bindir}/find -type f -name '*.jar' | %{_bindir}/xargs -t %{__rm}
%patch0 -p1 -b .sav0
%patch1 -p1 -b .sav1
%patch2 -p1 -b .sav2
%patch3 -p1 -b .sav3

%{__rm} -r src/site
%endif

%build
%if %without mead
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
export MAVEN_OPTS="-Xms1g -Xmx1g -XX:MaxPermSize=512M"
export ALT_OPTS="\
-Dmaven.dependency.org.apache.juddi.bootstrap.apache-tomcat.zip.path=${MAVEN_REPO_LOCAL}/org/apache/juddi/bootstrap/apache-tomcat/6.0.32/tomcat6-6.0.32.zip \
-Dmaven.dependency.org.apache.juddi.juddiv3-war.war.path=${MAVEN_REPO_LOCAL}/org/apache/juddi/juddiv3-war/%{namedversion}/juddiv3-war-%{namedversion}.war \
-Dmaven.dependency.org.apache.juddi.juddi-core.jar.path=${MAVEN_REPO_LOCAL}/org/apache/juddi/juddi-core/%{namedversion}/juddi-core-%{namedversion}.jar \
-Dmaven.dependency.mysql.mysql-connector-java.jar.path=${MAVEN_REPO_LOCAL}/mysql/mysql-connector-java/5.1.6/mysql-connector-java-5.1.6.jar \
-Dmaven.dependency.log4j.log4j.jar.path=${MAVEN_REPO_LOCAL}/log4j/log4j/1.2.13/log4j-1.2.13.jar \
-Dmaven.dependency.org.apache.derby.derby.jar.path=${MAVEN_REPO_LOCAL}/org/apache/derby/derby/10.4.2.0/derby-10.4.2.0.jar \
-Dmaven.dependency.commons-discovery.commons-discovery.jar.path=${MAVEN_REPO_LOCAL}/commons-discovery/commons-discovery/0.2/commons-discovery-0.2.jar"

mkdir -p ${MAVEN_REPO_LOCAL}/org/apache/juddi/bootstrap/apache-tomcat/6.0.32
cp -p %{_javadir}/jbossas-fordev/tomcat6-6.0.32.zip ${MAVEN_REPO_LOCAL}/org/apache/juddi/bootstrap/apache-tomcat/6.0.32/tomcat6-6.0.32.zip

%{_bindir}/mvn-jpp -e ${ALT_OPTS} -Dmaven2.jpp.depmap.file=%{SOURCE1} -Dmaven.test.failure.ignore=true -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} process-resources deploy javadoc:aggregate

%if 0
pushd docs
%{_bindir}/mvn-jpp -e ${ALT_OPTS} -Dmaven2.jpp.depmap.file=%{SOURCE1} -Dmaven.test.failure.ignore=true -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} process-resources deploy javadoc:aggregate
popd
%endif
%endif

%install
%{__rm} -rf %{buildroot}
%if %without mead
# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/apache/juddi/juddi-client/%{namedversion}/juddi-client-%{namedversion}.jar %{buildroot}%{_javadir}/juddi-client-%{namedversion}.jar
%{__cp} -p maven2-brew/org/apache/juddi/juddi-core-openjpa/%{namedversion}/juddi-core-openjpa-%{namedversion}.jar %{buildroot}%{_javadir}/juddi-core-openjpa-%{namedversion}.jar
%{__cp} -p maven2-brew/org/apache/juddi/juddi-core/%{namedversion}/juddi-core-%{namedversion}.jar %{buildroot}%{_javadir}/juddi-core-%{namedversion}.jar
%{__cp} -p maven2-brew/org/apache/juddi/juddiv3-samples/%{namedversion}/juddiv3-samples-%{namedversion}-sources.jar %{buildroot}%{_javadir}/juddiv3-samples-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/apache/juddi/uddi-tck-base/%{namedversion}/uddi-tck-base-%{namedversion}.jar %{buildroot}%{_javadir}/uddi-tck-base-%{namedversion}.jar
%{__cp} -p maven2-brew/org/apache/juddi/uddi-tck/%{namedversion}/uddi-tck-%{namedversion}.jar %{buildroot}%{_javadir}/uddi-tck-%{namedversion}.jar
%{__cp} -p maven2-brew/org/apache/juddi/uddi-ws/%{namedversion}/uddi-ws-%{namedversion}.jar %{buildroot}%{_javadir}/uddi-ws-%{namedversion}.jar
%{__cp} -p maven2-brew/org/apache/juddi/juddi-cxf/%{namedversion}/juddi-cxf-%{namedversion}.war %{buildroot}%{_javadir}/juddi-cxf-%{namedversion}.war
%{__cp} -p maven2-brew/org/apache/juddi/juddiv3-samples/%{namedversion}/juddiv3-samples-%{namedversion}.war %{buildroot}%{_javadir}/juddiv3-samples-%{namedversion}.war
%{__cp} -p maven2-brew/org/apache/juddi/juddiv3-war/%{namedversion}/juddiv3-war-%{namedversion}.war %{buildroot}%{_javadir}/juddiv3-war-%{namedversion}.war
%{__cp} -p maven2-brew/org/apache/juddi/juddi-tomcat/%{namedversion}/juddi-tomcat-%{namedversion}.zip %{buildroot}%{_javadir}/juddi-tomcat-%{namedversion}.zip
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/org/apache/juddi/juddi-client/%{namedversion}/juddi-client-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-juddi-client.pom
%{__cp} -p maven2-brew/org/apache/juddi/juddi-core-openjpa/%{namedversion}/juddi-core-openjpa-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-juddi-core-openjpa.pom
%{__cp} -p maven2-brew/org/apache/juddi/juddi-core/%{namedversion}/juddi-core-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-juddi-core.pom
%{__cp} -p maven2-brew/org/apache/juddi/juddi-cxf/%{namedversion}/juddi-cxf-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-juddi-cxf.pom
%{__cp} -p maven2-brew/org/apache/juddi/juddi-parent/%{namedversion}/juddi-parent-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-juddi-parent.pom
%{__cp} -p maven2-brew/org/apache/juddi/juddi-tomcat/%{namedversion}/juddi-tomcat-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-juddi-tomcat.pom
%{__cp} -p maven2-brew/org/apache/juddi/juddiv3-samples/%{namedversion}/juddiv3-samples-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-juddiv3-samples.pom
%{__cp} -p maven2-brew/org/apache/juddi/juddiv3-war/%{namedversion}/juddiv3-war-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-juddiv3-war.pom
%{__cp} -p maven2-brew/org/apache/juddi/uddi-tck-base/%{namedversion}/uddi-tck-base-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-uddi-tck-base.pom
%{__cp} -p maven2-brew/org/apache/juddi/uddi-tck/%{namedversion}/uddi-tck-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-uddi-tck.pom
%{__cp} -p maven2-brew/org/apache/juddi/uddi-ws/%{namedversion}/uddi-ws-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-uddi-ws.pom

# depmaps
%add_to_maven_depmap org.apache.juddi juddi-client %{namedversion} JPP juddi-client
%add_to_maven_depmap org.apache.juddi juddi-core-openjpa %{namedversion} JPP juddi-core-openjpa
%add_to_maven_depmap org.apache.juddi juddi-core %{namedversion} JPP juddi-core
%add_to_maven_depmap org.apache.juddi juddi-cxf %{namedversion} JPP juddi-cxf
%add_to_maven_depmap org.apache.juddi juddi-parent %{namedversion} JPP juddi-parent
%add_to_maven_depmap org.apache.juddi juddi-tomcat %{namedversion} JPP juddi-tomcat
%add_to_maven_depmap org.apache.juddi juddiv3-samples %{namedversion} JPP juddiv3-samples
%add_to_maven_depmap org.apache.juddi juddiv3-war %{namedversion} JPP juddiv3-war
%add_to_maven_depmap org.apache.juddi uddi-tck-base %{namedversion} JPP uddi-tck-base
%add_to_maven_depmap org.apache.juddi uddi-tck %{namedversion} JPP uddi-tck
%add_to_maven_depmap org.apache.juddi uddi-ws %{namedversion} JPP uddi-ws

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/juddi-%{namedversion}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/juddi-%{namedversion}
ln -s juddi-%{namedversion} %{buildroot}%{_javadocdir}/juddi
%else
# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/uddi-ws-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/uddi-ws-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-client-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)
# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p %{_sourcedir}/%{name}-parent-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-parent.pom
%{__cp} -p %{_sourcedir}/uddi-ws-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-uddi-ws.pom
%{__cp} -p %{_sourcedir}/%{name}-client-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-client.pom
# depmaps
%add_to_maven_depmap org.apache.juddi juddi-parent %{namedversion} JPP juddi-parent
%add_to_maven_depmap org.apache.juddi uddi-ws %{namedversion} JPP uddi-ws
%add_to_maven_depmap org.apache.juddi juddi-client %{namedversion} JPP juddi-client
# javadoc
# no javadoc subpackage in mead mode
%if 0
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/uddi-ws-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/uddi-ws
%{__unzip} -qq %{_sourcedir}/%{name}-client-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/%{name}-client
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/uddi-ws/META-INF
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/%{name}-client/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif
%endif

# repolib
%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if %without mead
%doc KEYS LICENSE NOTICE RELEASE_NOTES.html
%{_javadir}*/juddi-client-%{namedversion}.jar
%{_javadir}*/juddi-client.jar
%{_javadir}*/juddi-core-openjpa-%{namedversion}.jar
%{_javadir}*/juddi-core-openjpa.jar
%{_javadir}*/juddi-core-%{namedversion}.jar
%{_javadir}*/juddi-core.jar
%{_javadir}*/juddiv3-samples-%{namedversion}-sources.jar
%{_javadir}*/juddiv3-samples-sources.jar
%{_javadir}*/uddi-tck-base-%{namedversion}.jar
%{_javadir}*/uddi-tck-base.jar
%{_javadir}*/uddi-tck-%{namedversion}.jar
%{_javadir}*/uddi-tck.jar
%{_javadir}*/uddi-ws-%{namedversion}.jar
%{_javadir}*/uddi-ws.jar
%{_javadir}*/juddi-cxf-%{namedversion}.war
%{_javadir}*/juddi-cxf.war
%{_javadir}*/juddiv3-samples-%{namedversion}.war
%{_javadir}*/juddiv3-samples.war
%{_javadir}*/juddiv3-war-%{namedversion}.war
%{_javadir}*/juddiv3-war.war
%{_javadir}*/juddi-tomcat-%{namedversion}.zip
%{_javadir}*/juddi-tomcat.zip
%{_mavenpomdir}/JPP-juddi-client.pom
%{_mavenpomdir}/JPP-juddi-core-openjpa.pom
%{_mavenpomdir}/JPP-juddi-core.pom
%{_mavenpomdir}/JPP-juddi-cxf.pom
%{_mavenpomdir}/JPP-juddi-parent.pom
%{_mavenpomdir}/JPP-juddi-tomcat.pom
%{_mavenpomdir}/JPP-juddiv3-samples.pom
%{_mavenpomdir}/JPP-juddiv3-war.pom
%{_mavenpomdir}/JPP-uddi-tck-base.pom
%{_mavenpomdir}/JPP-uddi-tck.pom
%{_mavenpomdir}/JPP-uddi-ws.pom
%else
%{_javadir}*/juddi-client-%{namedversion}.jar
%{_javadir}*/juddi-client.jar
%{_javadir}*/juddi-client-%{namedversion}-sources.jar
%{_javadir}*/juddi-client-sources.jar
%{_javadir}*/uddi-ws-%{namedversion}.jar
%{_javadir}*/uddi-ws.jar
%{_javadir}*/uddi-ws-%{namedversion}-sources.jar
%{_javadir}*/uddi-ws-sources.jar
%{_mavenpomdir}/JPP-juddi-parent.pom
%{_mavenpomdir}/JPP-uddi-ws.pom
%{_mavenpomdir}/JPP-juddi-client.pom
%endif
%{_mavendepmapfragdir}/%{name}

%if %without mead
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/juddi-%{namedversion}
%{_javadocdir}/juddi
%endif

%if 0
%files webapps
%defattr(0644,root,root,0755)
%{_javadir}*/juddi-web-%{namedversion}.war
%{_javadir}*/juddi-web.war
%{_javadir}*/juddi-web-lean-%{namedversion}.war
%{_javadir}*/juddi-web-lean.war
%{_mavenpomdir}/JPP-juddi-web.pom
%{_mavenpomdir}/JPP-juddi-web-lean.pom
%endif

%if 0
%files sql-init-statements
%defattr(0644,root,root,0755)
%endif

%if 0
%files ws
%defattr(0644,root,root,0755)
%{_javadir}*/juddi-ws-%{namedversion}-sources.jar
%{_javadir}*/juddi-ws-sources.jar
%{_javadir}*/juddi-ws-%{namedversion}.jar
%{_javadir}*/juddi-ws.jar
%{_mavenpomdir}/JPP-juddi-ws.pom
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Sat Oct 12 2013 Lin Gao <lgao@redhat.com> - 0:3.1.3-4_redhat_3
- Use inner git repository for CC
- Use new version/release mechnism
- No javadoc subpackage in wrapper build
- Regenerate the spec.tmpl
- Move patch to git.app

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.3-3_redhat_2.1.3
- Rebuild for RHEL-5

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.3-2_redhat_2.1.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.3-2_redhat_1.1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.3-2_redhat_1.1.1
- Rebuild using cache signing

* Mon Jun 11 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.3-2_redhat_1.1
- Rebuild for RHEL-5

* Tue Mar 27 2012 Hui Wang <huwang@redhat.com> 0:3.1.2-1_redhat_1.1
- Upgrade to 3.1.3

* Fri Jan 27 2012 David Walluck <dwalluck@redhat.com> 0:3.1.2-0.4
- add juddi-tomcat zip artifact
- enable repolib

* Thu Jan 26 2012 David Walluck <dwalluck@redhat.com> 0:3.1.2-0.3
- add some Requires

* Thu Jan 26 2012 David Walluck <dwalluck@redhat.com> 0:3.1.2-0.2
- update maven depmap

* Wed Jan 25 2012 David Walluck <dwalluck@redhat.com> 0:3.1.2-0.1
- 3.1.2
- temporarily disable repolib

* Fri Mar 11 2011 David Walluck <dwalluck@redhat.com> 0:2.0.1-4
- add poms
- add docs
- ws requires main package
- remove empty client dir from javadocs
- use jbossweb for servlet-api
- fix maven deps
- repodir should not have a star in it
- use %%{name} for juddi dir
- fix repolib
- fix mixed-use-of-spaces-and-tabs
- fix macros in comments

* Thu Mar 10 2011 Vaclav Tunka <vtunka@redhat.com> - 0:2.0.1-3.2
- Add patch to change groupIds from org.apache.juddi to juddi
- GroupId now conforms to component-matrix

* Wed Jan 13 2011 Vaclav Tunka <vtunka@redhat.com> - 0:2.0.1-3.1
- Change BR xml-commons-apis for xml-commons-jaxp-1.3-apis
- Add patch to disable axis integration with jUDDI
- Fix javadoc paths
- Add BR jboss-jaxr
- Clear redundant depmap entries

* Wed Dec 14 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.1-3
- Build with maven 2.2.1
- Add BR maven-deploy-plugin, maven-shared-model-converter
- Change javadoc:javadoc to javadoc:aggregate
- Change BR axis2-saaj to jbossws
- Add patch to avoid site issue

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.1-2.1
- rebuilt

* Tue Apr 20 2010 Luiz Barreiros <gbarreir@redhat.com> 0:2.0.1-2
- Rebuild

* Tue Jul 28 2009 Fernando Nasser <fnasser@redhat.com> 0:2.0.1-1
- Upgrade to 2.0.1

* Tue Jul 28 2009 Fernando Nasser <fnasser@redhat.com> 0:2.0.0-1
- Upgrade to 2.0.0
- Make axis optional for juddi as it may be used in other containers

* Tue Jun 16 2009 Martha Benitez <mbenitez@redhat.com> 0:0.9-0.rc.4.1
- Build without jbossas

* Wed Oct 08 2008 David Walluck <dwalluck@redhat.com> 0:0.9-0.rc4.4
- add optional jboss authenticator requirement
- add junit and log4j build requirements
- fix version and tag in component-info.xml
- fix repolib directory ownership
- fix repolib permissions
- use cp instead of mv in %%install so as to not break --short-circuit

* Thu May 29 2008 David Walluck <dwalluck@redhat.com> 0:0.9-0.rc4.3.jpp5
- fix License
- remove PreReq tag
- fix summary-ended-with-dot
- add /Java to all Group tags

* Fri May 02 2008 David Walluck <dwalluck@redhat.com> 0:0.9-0.rc4.2jpp.ep1.3
- patch for jdk5 enum
- own %%{_javadir}/juddi directory
- remove javadoc scriptlets

* Tue Mar 13 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:0.9-0.rc4.2jpp.ep1.2
- Fix repolib location

* Mon Mar 12 2007 Fernando Nasser <fnasser@redhat.com> 0:0.9-0.rc4.2jpp.ep1.1
- Make axis optional for juddi as it may be used in other containers

* Tue Feb 20 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:0.9-0.rc4.2jpp.el4ep1.2
- Add -brew suffix
- Export juddi.war in repolib

* Sat Feb 17 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:0.9-0.rc4.2jpp.el4ep1.1
- Add repolib support

* Wed Dec 07 2005 Fernando Nasser <fnasser@redhat.com> 0:0.9-0.rc4.2jpp_1rh
- Merge with upstream

* Wed Dec 07 2005 Fernando Nasser <fnasser@redhat.com> 0:0.9-0.rc4.2jpp
- First JPP 1.7 build

* Fri Jul 22 2005 Deepak Bhole <dbhole@redhat.com> 0:0.9-0.rc4.1jpp_3rh
- Removed the -b option from the patch directive as it is unnecessary.

* Thu Jul 21 2005 Deepak Bhole <dbhole@redhat.com> 0:0.9-0.rc4.1jpp_2rh
- Cleaned up spec file.
- Removed spurious dependency from apps and webapps on the main package.

* Tue Jul 19 2005 Deepak Bhole <dbhole@redhat.com> 0:0.9-0.rc4.1jpp_1rh
- First Red Hat build

* Mon Jul 18 2005 Deepak Bhole <dbhole@redhat.com> 0:0.9-0.rc4.1jpp
- Initial build.
